use 5.008;
use ExtUtils::MakeMaker;

my @bins = qw(
	pere-dmp2dic
	pere-dic2dmp
	pere-src2dic
	pere-dic2src
	pere-trans
	pere-trans4docbook
	pere-trans4html
	pere-trans4mse2003
	pere-trans4msw2003
	pere-trans4ooo
	pere-trans4rtf
	pere-trans4text
	pere-confupd
);

WriteMakefile(
	'NAME'          => 'Lingua::Pere',
	'DISTNAME'      => 'Lingua-Pere',
	'VERSION_FROM'  => 'lib/Lingua/Pere/Util.pm',
	'ABSTRACT'      => 'Scripts and modules for multilanguage translation.',
#	'ABSTRACT_FROM' => 'lib/Lingua/Pere/Util.pm',
	'EXE_FILES'     => [ map "bin/$_", @bins ],
	'AUTHOR'        => 'Valentyn Solomko <val@pere.org.ua>',
  'PREREQ_PM'     => {
		'Archive::Zip'       => '1.05',
		'DB_File'            => '1.800',
		'Encode'             => '1.99',
		'HTML::SimpleParse'  => '0.12',
		'IO::File'           => '1.09',
		'IO::Scalar'         => '2.104',
		'RTF::Tokenizer'     => '1.08',
		'Text::CSV_XS'       => '0.23',
		'XML::Parser'        => '2.34',
		'Config::General'    => '2.24',
	},
  'dist'          => {
		COMPRESS => 'gzip -9f', 
		SUFFIX   => 'gz', 
	},
	'clean'         => {
		FILES => 'Lingua-Pere-*' 
	},
);
